\documentclass[9pt,t,serif,professionalfont,xcolor={table,dvipsnames},noamsthm]{beamer}

% \usepackage[perpage,symbol*,para,multiple]{footmisc}
% Getting undefined commands in aux file
\makeatletter
\newcommand\FN@pp@footnote@aux[2]{\relax}
\makeatother
\usepackage{xr-hyper}  % for cleveref; https://tex.stackexchange.com/a/244272/121234
\PassOptionsToPackage{pdfpagemode=FullScreen}{hyperref}
\setbeamersize{text margin left = 0.5cm,
               text margin right = 0.3cm}
\mode<presentation>
{
  \usetheme{boxes}
  \setbeamercovered{invisible}
  \setbeamertemplate{navigation symbols}{} 
}
\hypersetup{colorlinks=true,linkcolor=blue} 

% set the fonts
\usefonttheme{professionalfonts} % using non standard fonts for beamer
\usefonttheme{serif} % default family is serif
\usepackage{../../presentation,../../presentationfonts}
% \usepackage{jh}
% \newcommand{\colvec}[1]{%
%   \begin{pmatrix} #1 \end{pmatrix}}
\usepackage{../calciii}

% load the pdfanim style, should be done after hyperref
% \usepackage{pdfanim}

% load and initialise animation
% arguments:
%   \PDFAnimLoad[options]{name}{xxx}{number}
%   - options: in this example the animation is looped
%   - name: name of the animation
%     (with this name it can be reused several times in the document)
%   - number: number of animation frames / files (n)
% the animation will be composed of files
% xxx0.pdf, xxx1.pdf ... xxx(n-1).pdf


\title{Vector Calculus}

\author{Jim Hef{}feron}
\institute{
  Mathematics and Statistics\\
  Saint Michael's College\\
  Colchester, VT\\[1ex]
  \texttt{hefferon.net}
}
\date{}

% This is only inserted into the PDF information catalog.
\subject{Vector Calculus}

\begin{document}
\begin{frame}
  \titlepage
\end{frame}




  \section{Fields and potential}
% ------------------------------------------------------

\begin{frame}
  \frametitle{Familiar vector fields}

\begin{example}
Consider an object of mass $M$ at the origin.
If we place a particle of
mass $m$ at location $\vec{r}$ then 
that particle will be attracted to the object
with a force of magnitude  $GmM/|\vec{r}^2|$, 
where $G$ is the gravitational constant.
This force is 
directed towards the origin, that is, its direction is $-\vec{r}/|\vec{r}|$.

We say that the object of mass $M$
has associated with it a \alert{gravitational field}.
\begin{equation*}
  \vec{F}(x,y,z)=-\frac{GM}{|\vec{r}|^3}\cdot \vec{r}
    =\frac{GM}{(x^2+y^2+z^2)^{3/2}}\cdot\colvec{-x \\ -y \\ -z}
\end{equation*}
The formula for~$\vec{F}$ has no $m$.
The field is provided soley by the object of mass~$M$. 
When we introduce the particle
then it senses the field and the resulting force of attraction is
$m\cdot\vec{F}$, which is a vector quantity because it includes 
both a magnitude and direction.
Restated: $\vec{F}(x,y,z)$ is the force per unit mass that 
would be exerted on any mass that we put at $(x,y,z)$.

So the field is a property, a gravatational property, associated with
each point~$\vec{r}$ in space.
It determines what force an object would experience at that point.
\end{example}
\end{frame}


\begin{frame}
\begin{example}
Put an object of charge $Q$ at the origin.
If we place a particle of
charge $q$ at location $\vec{r}$ then 
it will be attracted or repelled   
with force $k|qQ|/|\vec{r}|^2$. 
The direction is 
$-\vec{r}/|\vec{r}|$ for attraction or $\vec{r}/|\vec{r}|$ for repulsion.
So the object of charge~$Q$ has associated with it 
this \alert{electric field}
\begin{equation*}
  \vec{E}(x,y,z)=-\frac{kQ}{|\vec{r}|^3}\vec{r}
    =\frac{1}{(x^2+y^2+z^2)^{3/2}}\cdot\colvec{-kQx \\ -kQy \\ -kQz}
\end{equation*}
where $k$ is a constant that is determined by the units of charge and distance.

As with the gravitational field, 
the electric field is due soley to the particle of charge~$Q$.
If we introduce a particle of charge~$q$ then
it senses the field and the resulting force is the vector
$q\cdot\vec{E}$, 
whose sign determines whether it is attraction or replulsion.
\end{example}
\end{frame}


\begin{frame}
  \frametitle{Other fields}
% https://www.windy.com/?44.459,-72.955,5
% https://earth.nullschool.net/#current/wind/surface/level/orthographic=-98.41,24.10,411
This shows wind speed and direction at different latitutude and longitudes.
\begin{center}
  \includegraphics[height=0.25\textheight]{nws_wind_map.jpeg}
\end{center}
And this shows the magnetic field around a bar magnet.
\begin{center}
  \includegraphics[height=0.25\textheight]{Magnet.png}
\end{center}
\end{frame}


\begin{frame}
This shows the barometric pressure at points in the US.
\begin{center}
  \includegraphics[height=0.35\textheight]{uspressure.jpg}
\end{center}
At each point the pressure is a single number, so this
is a scalar field.

\href{https://www.radar-live.com/p/atmospheric-pressure.html}{This} % https://www.wunderground.com/maps/surface-analysis/12hr
shows the barometric pressure field
around the world.
Note the connection with the wind field.
\end{frame}

\begin{frame}
  \frametitle{Definition of field}

In Physics, a field 
conveys a force over the distance from one body to another.
Also, fields are a form of matter which have energy and momentum.
For the mathematics though, we just define it as an association.

\begin{definition}
A \alert{field on $\R^n$} assigns 
to each point $(x_1,\ldots x_n)\in\R^n$
a quantity from some fixed $\R^m\!$.
If $m=1$ it is a \alert{scalar field} and for higher~$m$ it is a 
\alert{vector field}.   
\end{definition}
\end{frame}


\begin{frame}
\begin{example}
Sketch the vector field $\vec{F}(x,y)=1\vec{i}+x\vec{j}$
by finding all of the vectors for $(x,y)$ with integer 
$-2\leq x\leq 2$ and $-2\leq y\leq 2$.     

\pause\medskip
\begin{center}\small
  \begin{tabular}{r|*{5}{c}}
    % \multicolumn{1}{r}{\ } &$x=-2$ &$-1$ &$0$ &$1$ &$2$ \\
    $2$    &$\colvec{1 \\ -2}$ &$\colvec{1 \\ -1}$ &$\colvec{1 \\ 0}$ &$\colvec{1 \\ 1}$ &$\colvec{1 \\ 2}$ \\
    $1$    &$\colvec{1 \\ -2}$ &$\colvec{1 \\ -1}$ &$\colvec{1 \\ 0}$ &$\colvec{1 \\ 1}$ &$\colvec{1 \\ 2}$ \\
    $0$    &$\colvec{1 \\ -2}$ &$\colvec{1 \\ -1}$ &$\colvec{1 \\ 0}$ &$\colvec{1 \\ 1}$ &$\colvec{1 \\ 2}$ \\
    $-1$   &$\colvec{-4 \\ -2}$ &$\colvec{1 \\ -1}$ &$\colvec{1 \\ 0}$ &$\colvec{1 \\ 1}$ &$\colvec{1 \\ 2}$ \\
    $y=-2$ &$\colvec{1 \\ -2}$ &$\colvec{1 \\ -1}$ &$\colvec{1 \\ 0}$ &$\colvec{1 \\ 1}$ &$\colvec{1 \\ 2}$ \\
    \cline{2-6}
    \multicolumn{1}{r}{\ } &$x=-2$ &$-1$ &$0$ &$1$ &$2$ \\
  \end{tabular}  \\[1ex]
  \includegraphics{asy/vector_calculus007.pdf}
\end{center}
\end{example}
\end{frame}

\begin{frame}
\begin{example}
Sketch the vector field $\vec{F}(x,y)=2x\vec{i}-y\vec{j}$,
showing the vector for $(x,y)$ with integer 
$-2\leq x\leq 2$ and $-2\leq y\leq 2$.     

\pause\medskip
\begin{center}\small
  \begin{tabular}{r|*{5}{c}}
    % \multicolumn{1}{r}{\ } &$x=-2$ &$-1$ &$0$ &$1$ &$2$ \\
    $2$    &$\colvec{-4 \\ -2}$ &$\colvec{-2 \\ -2}$ &$\colvec{0 \\ -2}$ &$\colvec{2 \\ -2}$ &$\colvec{4 \\ -2}$ \\
    $1$    &$\colvec{-4 \\ -1}$ &$\colvec{-2 \\ -1}$ &$\colvec{0 \\ -1}$ &$\colvec{2 \\ -1}$ &$\colvec{4 \\ -1}$ \\
    $0$    &$\colvec{-4 \\ 0}$ &$\colvec{-2 \\ 0}$ &$\colvec{0 \\ 0}$ &$\colvec{2 \\ 0}$ &$\colvec{4 \\ 0}$ \\
    $-1$   &$\colvec{-4 \\ 1}$ &$\colvec{-2 \\ 1}$ &$\colvec{0 \\ 1}$ &$\colvec{2 \\ 1}$ &$\colvec{4 \\ 1}$ \\
    $y=-2$ &$\colvec{-4 \\ 2}$ &$\colvec{-2 \\ 2}$ &$\colvec{0 \\ 2}$ &$\colvec{2 \\ 2}$ &$\colvec{4 \\ 2}$ \\
    \cline{2-6}
    \multicolumn{1}{r}{\ } &$x=-2$ &$-1$ &$0$ &$1$ &$2$ \\
  \end{tabular}  \\[1ex]
  \includegraphics{asy/vector_calculus000.pdf}
\end{center}
\end{example}
\end{frame}


\begin{frame}
\begin{example}
Sketch the vector field $\vec{F}(x,y)=x\vec{i}+y\vec{j}$,
showing the vector for $(x,y)$ with integer 
$-2\leq x\leq 2$ and $-2\leq y\leq 2$.     

\pause\medskip
\begin{center}\small
  \begin{tabular}{r|*{5}{c}}
    % \multicolumn{1}{r}{\ } &$x=-2$ &$-1$ &$0$ &$1$ &$2$ \\
    $2$    &$\colvec{-2 \\ 2}$ &$\colvec{-1 \\ 2}$ &$\colvec{0 \\ 2}$ &$\colvec{1 \\ 2}$ &$\colvec{2 \\ 2}$ \\
    $1$    &$\colvec{-2 \\ 1}$ &$\colvec{-1 \\ 1}$ &$\colvec{0 \\ 1}$ &$\colvec{1 \\ 1}$ &$\colvec{2 \\ 1}$ \\
    $0$    &$\colvec{-2 \\ 0}$ &$\colvec{-1 \\ 0}$ &$\colvec{0 \\ 0}$ &$\colvec{1 \\ 0}$ &$\colvec{2 \\ 0}$ \\
    $-1$   &$\colvec{-2 \\ -1}$ &$\colvec{-1 \\ -1}$ &$\colvec{0 \\ -1}$ &$\colvec{1 \\ -1}$ &$\colvec{2 \\ -1}$ \\
    $y=-2$ &$\colvec{-2 \\ -2}$ &$\colvec{-1 \\ -2}$ &$\colvec{0 \\ -2}$ &$\colvec{1 \\ -2}$ &$\colvec{2 \\ -2}$ \\
    \cline{2-6}
    \multicolumn{1}{r}{\ } &$x=-2$ &$-1$ &$0$ &$1$ &$2$ \\
  \end{tabular}  \\[1ex]
  \includegraphics{asy/vector_calculus001.pdf}
\end{center}
\end{example}
\end{frame}


\begin{frame}
\begin{example}
Sketch the same vector field, 
$\vec{F}(x,y)=x\vec{i}+y\vec{j}$, but this time to match the next example,
show all $(x,y)$ where $x=r\cos\theta$ and $y=r\sin\theta$
for $0\leq r\leq 2$ and $\theta\in\set{0,\pi/4,2\pi/4,\ldots 7\pi/4}$.     

\pause\medskip
\begin{center}\small 
  \begin{tabular}{r|*{8}{c}}
    $2$    &$\colvec{2 \\ 0}$ &$\colvec{\sqrt{2} \\ \sqrt{2}}$ &$\colvec{0 \\ 2}$ &$\colvec{-\sqrt{2} \\ \sqrt{2}}$ 
           &$\colvec{-2 \\ 0}$  &$\colvec{-\sqrt{2} \\ -\sqrt{2}}$ &$\colvec{0 \\ -2}$ &$\colvec{\sqrt{2} \\ -\sqrt{2}}$\\
    $1$   &$\colvec{1 \\ 0}$ &$\colvec{\sqrt{2}/2 \\ \sqrt{2}/2}$ &$\colvec{0 \\ -1}$ &$\colvec{-\sqrt{2}/2 \\ \sqrt{2}/2}$ 
           &$\colvec{-1 \\ 0}$  &$\colvec{-\sqrt{2}/2 \\ -\sqrt{2}/2}$ &$\colvec{0 \\ -1}$ &$\colvec{\sqrt{2}/2 \\ -\sqrt{2}/2}$\\
    $r=0$ &$\colvec{0 \\ 0}$  \\
    \cline{2-9}
    \multicolumn{1}{r}{\ } &$\theta=0$ &$\pi/4$  &$2\pi/4$ &$3\pi/4$ 
                              &$\pi$   &$5\pi/4$ &$6\pi/4$ &$7\pi/4$  \\
  \end{tabular}  \\[1ex]
  \includegraphics{asy/vector_calculus003.pdf}
\end{center}
\end{example}
% sage: def F(r,theta):
% ....:     return (r*cos(theta),r*sin(theta))
% ....: 
% sage: for r in range(1,3):
% ....:     for k in range(0,8):
% ....:         theta = pi*k/4
% ....:         print("r="+str(r)+" k="+str(k)+" F(r,theta)="+str(F(r,theta)))
% ....: 
% ....: 
% r=1 k=0 F(r,theta)=(1, 0)
% r=1 k=1 F(r,theta)=(1/2*sqrt(2), 1/2*sqrt(2))
% r=1 k=2 F(r,theta)=(0, 1)
% r=1 k=3 F(r,theta)=(-1/2*sqrt(2), 1/2*sqrt(2))
% r=1 k=4 F(r,theta)=(-1, 0)
% r=1 k=5 F(r,theta)=(-1/2*sqrt(2), -1/2*sqrt(2))
% r=1 k=6 F(r,theta)=(0, -1)
% r=1 k=7 F(r,theta)=(1/2*sqrt(2), -1/2*sqrt(2))
% r=2 k=0 F(r,theta)=(2, 0)
% r=2 k=1 F(r,theta)=(sqrt(2), sqrt(2))
% r=2 k=2 F(r,theta)=(0, 2)
% r=2 k=3 F(r,theta)=(-sqrt(2), sqrt(2))
% r=2 k=4 F(r,theta)=(-2, 0)
% r=2 k=5 F(r,theta)=(-sqrt(2), -sqrt(2))
% r=2 k=6 F(r,theta)=(0, -2)
% r=2 k=7 F(r,theta)=(sqrt(2), -sqrt(2))
\end{frame}


\begin{frame}
\begin{example}
Sketch the vector field 
$\vec{F}(x,y)=-y\vec{i}+x\vec{j}$.
Show all $(x,y)$ where $x=r\cos\theta$ and $y=r\sin\theta$
for $0\leq r\leq 2$ and $\theta\in\set{k\pi/4\suchthat 0\leq k\leq 7}$.     

\pause\medskip
\begin{center}\small
  \begin{tabular}{r|*{8}{c}}
    $2$    &$\colvec{0 \\ 2}$ &$\colvec{-\sqrt{2} \\ \sqrt{2}}$ &$\colvec{-2 \\ 0}$ &$\colvec{-\sqrt{2} \\ -\sqrt{2}}$ 
           &$\colvec{0 \\ -2}$  &$\colvec{\sqrt{2} \\ -\sqrt{2}}$ &$\colvec{2 \\ 0}$ &$\colvec{\sqrt{2} \\ \sqrt{2}}$\\
    $1$   &$\colvec{0 \\ 1}$ &$\colvec{-\sqrt{2}/2 \\ \sqrt{2}/2}$ &$\colvec{-1 \\ 0}$ &$\colvec{-\sqrt{2}/2 \\ -\sqrt{2}/2}$ 
           &$\colvec{0 \\ -1}$  &$\colvec{\sqrt{2}/2 \\ \sqrt{2}/2}$ &$\colvec{1 \\ 0}$ &$\colvec{\sqrt{2}/2 \\ \sqrt{2}/2}$\\
    $r=0$ &$\colvec{0 \\ 0}$  \\
    \cline{2-9}
    \multicolumn{1}{r}{\ } &$\theta=0$ &$\pi/4$  &$2\pi/4$ &$3\pi/4$ 
                              &$\pi$   &$5\pi/4$ &$6\pi/4$ &$7\pi/4$  \\
  \end{tabular}  \\[1ex]
  \includegraphics{asy/vector_calculus004.pdf}
\end{center}

\pause
\begin{remark}
Consider the function $\arg(\vec{r})$ that 
maps each point $\vec{r}=(r,\theta)$ in the plane to the angle that it makes
with the $x$-axis, $\theta$.
(Ignore the point where $r=0$.)
Walk around the $r=1$ unit circle, then 
these arrows give the direction of your tangent vector.
Question: what happens when you approach $2\pi$?
\end{remark}
\end{example}
% sage: def G(r,theta):
% ....:     return (-r*sin(theta),r*cos(theta))
% ....: 
% sage: for r in range(1,3):
% ....:     for k in range(0,8):
% ....:         theta = pi*k/4
% ....:         print("r="+str(r)+" k="+str(k)+" G(r,theta)="+str(G(r,theta)))
% ....: 
% ....: 
% ....: 
% r=1 k=0 G(r,theta)=(0, 1)
% r=1 k=1 G(r,theta)=(-1/2*sqrt(2), 1/2*sqrt(2))
% r=1 k=2 G(r,theta)=(-1, 0)
% r=1 k=3 G(r,theta)=(-1/2*sqrt(2), -1/2*sqrt(2))
% r=1 k=4 G(r,theta)=(0, -1)
% r=1 k=5 G(r,theta)=(1/2*sqrt(2), -1/2*sqrt(2))
% r=1 k=6 G(r,theta)=(1, 0)
% r=1 k=7 G(r,theta)=(1/2*sqrt(2), 1/2*sqrt(2))
% r=2 k=0 G(r,theta)=(0, 2)
% r=2 k=1 G(r,theta)=(-sqrt(2), sqrt(2))
% r=2 k=2 G(r,theta)=(-2, 0)
% r=2 k=3 G(r,theta)=(-sqrt(2), -sqrt(2))
% r=2 k=4 G(r,theta)=(0, -2)
% r=2 k=5 G(r,theta)=(sqrt(2), -sqrt(2))
% r=2 k=6 G(r,theta)=(2, 0)
% r=2 k=7 G(r,theta)=(sqrt(2), sqrt(2))
\end{frame}


\begin{frame}
  \frametitle{Component functions}

Where we have a subset of the plane,
a \alert{vector field in $S\subseteq\R^2$} 
is a function $\map{\vec{F}}{S}{\R^2}\!$.
The convention for its component functions is to use the letters $P$
and~$Q$.
\begin{equation*}
  \vec{F}(x,y)=\colvec{P(x,y) \\ Q(x,y)} 
              =P(x,y)\vec{i}+Q(x,y)\vec{j}
\end{equation*}
Likewise, in three space,
a \alert{vector field in $S\subseteq\R^3$}
is a function $\map{\vec{F}}{S}{\R^3}\!$.
By convention the component functions are
$P$, $Q$, and~$R$.
% \begin{equation*}
%   \vec{F}(x,y,z)=\colvec{P(x,y,z) \\ Q(x,y,z) \\ R(x,y,z)} 
%               =P(x,y,z)\vec{i}+Q(x,y,z)\vec{j}+R(x,y,z)\vec{k}  
% \end{equation*}

\begin{example}
The gravitational field associated with mass~$M$ at the origin is 
a vector field.
\begin{equation*}
  \vec{F}(x,y,z)=-\frac{GM}{|\vec{r}|^3}\cdot \vec{r}
    =\frac{G}{(x^2+y^2+z^2)^{3/2}}\cdot\colvec{-Mx \\ -My \\ -Mz}
\end{equation*}
It has these component functions.
\begin{equation*}
  P(x,y,z)=\frac{-GMx}{(x^2+y^2+z^2)^{3/2}}
  \quad
  Q(x,y,z)=\frac{-GMy}{(x^2+y^2+z^2)^{3/2}}
  \quad
  R(x,y,z)=\frac{-GMz}{(x^2+y^2+z^2)^{3/2}}
\end{equation*}
\end{example}

That very important field illustrates what `$S$' is doing in the above
definition, since $\vec{F}$ is not defined at the origin so there
$S=\R^3-\set{(0,0,0)}$.
\end{frame}


\begin{frame}
  \frametitle{Potential function}

This is a crude map of barometric pressure over our area.
In places where there is a lot of air there are a lot of dots.
So this shows a low pressure band across the middle of the state.
\begin{center}
  \includegraphics{asy/vector_calculus005.pdf}
\end{center}
Again, barometric pressure is a scalar field.
But air molecules sense the difference between places with high pressure and
places with low pressure, and move from high to low.
That is, this scalar field gives rise to the vector wind field. 
\end{frame}

\begin{frame}
If you raise a rock to the top of a hill then it will sense the downhill and 
start rolling.
It is responding to the force described by the gravitational field.

If you toss a ball straight up then it will gradually slow and then
momentarily stop, before finally moving back down toward your hand.
Or, if you push a ball up a hill with just the right amount of 
initial push then it will roll up to the very top and stop there.
In both cases there was an energy in their motion; where did it go?
When the balls come to rest, is it gone?
No, that energy continues to exists in the potential to move, 
either to fall back
to your hand or to roll back down the hill. 

Objects have more potential when they are higher up, so 
the field is derived from the difference in height.
That is, when we look at the level lines on a topographic map to find the slopes,
we are finding
where the potential has a high rate of change and where it has a low
rate of change, and so finding where the force is high and where it is low.
\begin{center}
  \includegraphics{asy/vector_calculus006.pdf}
\end{center}
 
\begin{definition}
If a field $\vec{F}$ is such that $\vec{F}=\nabla f$ for some scalar function
then $\vec{F}$ is a \alert{gradient vector field} with \alert{potential} $f$.
We may instead say that $\vec{F}$ is \alert{conservative}.   
\end{definition}
\end{frame}


\begin{frame}
\begin{example}
Let $\map{f}{\R^2}{\R}$ be this scalar field.
\begin{equation*}
  f(x,y,z)=-\frac{C}{\sqrt{x^2+y^2+z^2}}
\end{equation*}
Find the associated gradient vector field.

\pause\medskip
We have
\begin{equation*}
  \nabla f(x,y,z)=\colvec{\partial f/\partial x \\ 
                          \partial f/\partial y \\ 
                          \partial f/\partial z}
                 =\colvec{Cx/(x^2+y^+z^2)^{3/2} \\
                          Cy/(x^2+y^+z^2)^{3/2} \\
                          Cz/(x^2+y^+z^2)^{3/2}}
                 =\frac{C}{|\vec{r}|^3}\cdot \vec{r}
\end{equation*}
where $\vec{r}=x\vec{i}+y\vec{j}+z\vec{k}$.
So the inverse square field is conservative.
\end{example}
\end{frame}

\begin{frame}
  \frametitle{Not every field is conservative}

The term ``conservative'' derives from conservation of energy.
Take a particle in the earth's gravitational field.
Start it at some point.
Move it around a bit and then bring it back to
that starting point.
It will now have the same potential energy as it did at the start.

Contrast that with the vector field
$\vec{F}(x,y)=-y\vec{i}+x\vec{j}$ that we saw above, 
where we (informally) described it as the derivative of 
the scalar function $\arg(x,y)$, which gives the
angle the point makes with the $x$-axis.
\begin{center}
  \includegraphics{asy/vector_calculus004.pdf}
\end{center}
Start at $(1,0)$ and walk counterclockwise around the unit circle.
The $\arg$ of your location grows to be nearly $2\pi$, and then 
suffers a discontinuity.
There is no continuous potential
(and any differentiable $f$ must be continuous, so there is no potential at all).

To be precise about this we need some technical machinery, such 
as the ability to describe what happens along a path.
We will return to the idea here in a couple of sections.
\end{frame}


% ================================
\section{Line integrals}
\begin{frame}
  \frametitle{Recall the work integral}

Recall how we computed the work done against a spring.
\begin{center}
  \includegraphics{asy/vector_calculus008.pdf}
\end{center}
If you pull the spring a distance $x$ further than
its natural length then Hooke's Law says that 
the force that you need to hold the spring steady
is proportional to the distance, $F=kx$ where $k$ depends on the spring.
With $k=100$ this is the work done in pulling against the 
spring from $x=5$ to $x=8$.
\begin{equation*}
  \int_{x=5}^8 100x\,dx=100\biggl[x^2/2\biggr]_{x=5}^8=3900
\end{equation*}
In this chapter's terminology, the force of the spring
is a field $\map{F}{\R}{\R}$
given by $F(x)=-100x$.
We take the path from $x=5$ to $x=8$ and the work that we do 
against the field is $3900$.

This section does the familar Calculus~III thing of carrying the ideas
to higher dimensions.
\end{frame}


\begin{frame}
Consider the motion of a particle in space, a \alert{space curve} $C$. 
\begin{center}
  \includegraphics{asy/vector_calculus009.pdf}
\end{center}
We often describe $C$ by parametrizing and often use the parameter~$t$,
which we may think of as time.

\begin{example}
Here is a plane curve described with a natural parametrization.
\begin{center}
  \vcenteredhbox{\includegraphics{asy/vector_calculus011.pdf}}
  \qquad
  {\small $\mathbf{r}(t)=\begin{pmatrix}t \\ t^2\end{pmatrix}$ with $t\in\closed{0}{1}$}
\end{center}
\end{example}

Recall also 
that a parametrization is \alert{smooth} over an interval of $t$'s if
$\vec{r}^\prime$ is continuous and nonzero on that interval.
\end{frame}


\begin{frame}
  \frametitle{Recall: parametrization of a curve}

The curve $C$ shown below is the line from $(0,0)$ to $(4,4)$.
\begin{center}
  \vcenteredhbox{\includegraphics{asy/vector_calculus017.pdf}}
  \qquad
  \vcenteredhbox{\includegraphics{asy/vector_calculus018.pdf}}
  \hspace*{5em}
  \vcenteredhbox{\includegraphics{asy/vector_calculus019.pdf}}
\end{center}
These are the first two parametrizations.
\begin{equation*}
  \vec{r}(t)=\colvec{t \\ t} \quad t\in\closed{0}{4}
  \qquad
  \vec{r}(t)=\colvec{t^2 \\ t^2} \quad t\in\closed{0}{2}
\end{equation*}
Note that they describe the same curve in different ways, and that the second
one traverses the curve at a changing rate.

The third is the parametrization by arc length, which we denote as $s$.
\begin{equation*}
  \vec{s}(t)=\colvec{\sqrt{2}t/2 \\ \sqrt{2}t/2} \quad t\in\closed{0}{8/\sqrt{2}}
\end{equation*}
where we traverse the curve at a rate of~$1$.
% We have this relationship for the rates.
% \begin{equation*}
%   ds=\sqrt{\frac{dx}{dt}^2+\frac{dy}{dt}^2}\;dt
% \end{equation*}
\end{frame}



\begin{frame}
  \frametitle{Handy parametrizations}

\begin{itemize}
\item \alert{Line segment} This goes from $\vec{v}_0$ to $\vec{v}_1$. 
  \begin{equation*}
    \mathbf{r}(t)=(1-t)\cdot\colvec{x_0 \\ y_0 \\ z_0}
      +t\cdot\colvec{x_1 \\ y_1 \\ z_1}
    \qquad t\in\closed{0}{1}
  \end{equation*}
  For a 2D version drop the third component. 
\item \alert{Function} If $y=f(x)$ then
  \begin{equation*}
    \mathbf{r}(t)=\colvec{t \\ f(t)}
  \end{equation*}
  while if $x=g(y)$ then do this.
  \begin{equation*}
    \mathbf{r}(t)=\colvec{g(t) \\ t}
  \end{equation*}
\item \alert{Circle}
  \begin{equation*}
    \mathbf{r}(t)=\colvec{r\cos t \\ r\sin t} 
    \qquad t\in\closed{0}{2\pi}
  \end{equation*}
  (Use $y(t)=r\sin t$ for clockwise.)
  This is a helix.
  \begin{equation*}
    \mathbf{r}(t)=\colvec{r\cos t \\ r\sin t \\ t} 
  \end{equation*}
\end{itemize}
\end{frame}




\begin{frame}
  \frametitle{Line integrals}
Imagine a moving particle that is in the presence of 
a field. 
We want to compute work done or some other value.
The first two pictures are versions of the same picture, 
and simulate that the field is a scalar field.
The third shows a vector field.
\begin{center}
  \vcenteredhbox{\includegraphics{asy/vector_calculus013.pdf}}
  \qquad
  \vcenteredhbox{\includegraphics{asy/vector_calculus012.pdf}}
  \hspace*{5em}
  \vcenteredhbox{\includegraphics{asy/vector_calculus010.pdf}}
\end{center}
At different instants~$t$ the field has different values.
To accumulate these instantaneous actions together
we must integrate. 

We first handle the case of a scalar field.
\end{frame}


\begin{frame}{Defining the line integral for a scalar field}
\begin{definition}
For a scalar function $\map{f}{\R^2}{R}$,
its \alert{line integral along the curve $C$} in the plane is
\begin{equation*}
  \int_C\;f(x,y)\,ds
  =\lim_{\max(|\Delta s_i|)\to 0}\;\biggl[ \sum_{i} f(x_i^*,y_i^*)\cdot \Delta s_i\biggr]
\end{equation*}
where $C$ is a smooth curve, 
where the $\Delta s_i$ are the lengths of subcurves that partition $C$, 
and where $(x_i^*,y_i^*)$ is a point on subcurve~$i$.
\end{definition}

\begin{example}
Estimate, by taking three subintervals, the integral over the 
parabolic path  $\mathbf{r}(t)=t\vec{i}+t^2\vec{j}$ with $0\leq t\leq 1$,
where the scalar field is $F(x,y)=x+y$.
Use the midpoint of each interval.
Recall this formula for the arc length along a curve
$\vec{r}(t)=x(t)\vec{i}+y(t)\vec{j}$
applied to a parabola, which comes from trig substitution.
\begin{align*}
  L(t_{\text{start}},t_{\text{end}})
  =\int_{t=t_s}^{t_e} \sqrt{(dx/dt)^2+(dy/dt)^2} \;dt
  &=\int_{t=t_s}^{t_e} \sqrt{4t^2+1} \;dt                  \\
  &=\biggl[\frac{2t\sqrt{4t^2+1}+\ln(2t+\sqrt{4t^2+1})}{4}\biggr]_{t=t_s}^{t_e}
\end{align*}


\pause\medskip
\begin{center}\small
  \begin{tabular}{r|*{5}{c}}
    \multicolumn{1}{r}{\textit{Subcurve $C_i$}} &\textit{Start} &\textit{End} &\textit{Arc Length $s_i$}
                           &\textit{Middle $(x_i^*,y_i^*)$} &$F(\text{mid})\cdot s_i$   \\
    \cline{2-6}
    $C_0$ &$(0,0)$ &$(0.33,0.11)$ &$0.36$ 
        &$(0.17,0.03)$  &$0.07$  \\
    $C_1$ &$(0.33,0.11)$ &$(0.67,0.44)$ &$0.47$ 
        &$(0.50,0.25)$  &$0.36$  \\
    $C_2$ &$(0.67,0.44)$ &$(1.00,1.00)$ &$0.65$ 
        &$(0.83,0.69)$ &$0.99$   \\
  \end{tabular}
\end{center}
The total is $1.42$.
\end{example}
\end{frame}
% def fieldfcn(x,y):
%     return x+y

% def rfcn(t):
%     return (t,t^2)

% def arclength(ts,te):
%     def antiderivative(t):
%         return (2*t*sqrt(4*t^2+1)+log(2*t+sqrt(4*t^2+1)))/4

%     return(antiderivative(te)-antiderivative(ts))

% def approx_line_integral(fieldfcn,rfcn,start_t,end_t,num_pts):
%     """Approximate a line integral by dividing into num_pts intervals
%         fieldfcn  function float,float -> float
%         rfcn   function float -> float,float
%         start_t, end_t  floats
%         num_pts natural number
%     """
%     total = 0
%     prior_t = start_t
%     prior_pt = rfcn(prior_t)
%     for i in range(1,num_pts+1):
%         next_t = i*(end_t-start_t)/num_pts
%         next_pt = rfcn(next_t)
%         dist = arclength(prior_t,next_t)
%         mid_t = prior_t+((next_t-prior_t)/2)
%         mid_pt = rfcn(mid_t)
%         field_contribution = fieldfcn(mid_pt[0],mid_pt[1])*dist
%         total = total + field_contribution
%         print("next_t={:.2f}\n".format(float(next_t)),
%               " next_pt=({:.2f},{:.2f})\n".format(float(next_pt[0]),float(next_pt[1])),
%               " dist={:.2f}\n".format(float(dist)),
%               " mid_pt=({:.2f},{:.2f})\n".format(float(mid_pt[0]),float(mid_pt[1])),
%               " field_contribution={:.2f}\n".format(float(field_contribution)))
%         prior_t, prior_pt = next_t, next_pt
%     print(" total={:.2f}".format(float(total)))

% sage: approx_line_integral(fieldfcn,rfcn,0,1,3)
% next_t=0.33
%   next_pt=(0.33,0.11)
%   dist=0.36
%   mid_pt=(0.17,0.03)
%   field_contribution=0.07

% next_t=0.67
%   next_pt=(0.67,0.44)
%   dist=0.47
%   mid_pt=(0.50,0.25)
%   field_contribution=0.36

% next_t=1.00
%   next_pt=(1.00,1.00)
%   dist=0.65
%   mid_pt=(0.83,0.69)
%   field_contribution=0.99

%  total=1.42

\begin{frame}
\begin{theorem}{Calculating the line integral for a scalar field}
Where $\vec{r}$ parametrizes the curve~$C$,
and both~$f$
and $\vec{r}^\prime$ are continuous,
then compute the line integral of $f$ along $C$ as here.
\begin{equation*}
  \int_{C}\;f(x,y)\,ds
  =\int_{t=a}^{b}f(x(t),y(t))\cdot \sqrt{(dx/dt)^2+(dy/dt)^2}\;dt
\end{equation*} 
\end{theorem}

Note that the arc length of $C$ comes from taking $f(x,y)=1$.
The $ds$ suggests the arc length, and is called the 
\alert{arc length differential}.
The relationship between $dt$ and $ds$ is this.
\begin{equation*}
  ds = \sqrt{\bigl(\frac{dx}{dt}\bigr)^2+\bigl(\frac{dy}{dt}\bigr)^2}\; dt
     =|\vec{r}^\prime(t)|\;dt
\end{equation*}
The $|\vec{r}^\prime(t)|$ on the right 
makes this comptuation independent of the parametrization.

\begin{example}
Let $C$ be the upper half of the unit circle $x(t)=\cos(t)$ and 
$y(t)=\sin(t)$ for $t\in\closed{0}{\pi}$, and let
the scalar field be $f(x,y)=2+x^2y$.  
Compute $\int_C f(x,y) \,ds$.
\pause\smallskip
\begin{align*}
  \int_C 2+x^2y\,ds 
  &= 
  \int_{t=0}^{\pi}(2+\cos^2 t\sin t)\cdot \sqrt{\frac{dx}{dt}^2+\frac{dy}{dt}^2}\;dt  \\
  &= 
  \int_{t=0}^{\pi}(2+\cos^2 t\sin t)\cdot\sqrt{\sin^2t+\cos^2t}\;dt  \\
  &= 
  \biggl[2t-(\cos^3t)/3\biggr]_{t=0}^{\pi} 
  =2\pi+2/3
\end{align*}
\end{example}
\end{frame}

\begin{frame}
\begin{example}
Find $\int_C y\,ds$ on the plane curve $C$ parametrized by 
$x(t)=t$ and $y(t)=\sqrt{t}$ for $t\in\closed{2}{6}$.
Note this.
\begin{equation*}
  ds = \sqrt{\frac{dx}{dt}^2+\frac{dy}{dt}^2}\; dt
     =\sqrt{1+\biggl(\frac{1}{2\sqrt{t}}\biggl)^2}\;dt
     =\frac{\sqrt{4t+1}}{2\sqrt{t}}\,dt
\end{equation*}

\pause\medskip
Then this gives the integral.
\begin{equation*}
  \int_C y\,ds
  =\int_{t=2}^6\sqrt{t}\cdot\frac{\sqrt{4t+1}}{2\sqrt{t}}\,dt
  =\frac{1}{2}\int_{t=2}^6 \sqrt{4t+1}\,dt
  =\frac{1}{2}\biggl[ \frac{(4t+1)^{3/2}}{4\cdot(3/2)} \biggr]_{t=2}^6
  =\frac{49}{6}
\end{equation*}
\end{example}
\end{frame}



\begin{frame}{Line integral for a vector field}
Agian imagine a moving particle that is in the presence of 
a field.
We now consider a vector field.
Consider for instance work done against some field in moving the particle.
we want to find the work done or some other value.
\begin{center}
  \vcenteredhbox{\includegraphics{asy/vector_calculus010.pdf}}
  \qquad
  \vcenteredhbox{\includegraphics{asy/vector_calculus015.pdf}}
\end{center}
On the right the particle is restricted to a path that 
is orthogonal to the field.
We expect that the field neither contributes to nor takes away from
the work done.
We must use the component of the field 
that is lies with the curve.

Recall that
$\vec{b}\dotprod\vec{u}$ computes how much of $\vec{b}$
lies with the unit vector $\vec{u}$.
\begin{center}
  \vcenteredhbox{\includegraphics{asy/vector_calculus016.pdf}}
  \qquad
  {$\vec{b}\dotprod\vec{u}\cdot\vec{u}$}
\end{center}
\end{frame}



\begin{frame}
\begin{definition}
Let $C$ be an oriented smooth curve and let $\vec{F}$ be a continuous vector
field defined on a region that contains $C$.
The \alert{line integral of $F$ along $C$} is
\begin{equation*}
  \int_{C}\vec{F}\dotprod d\vec{s}
  =
  \int_{C}\vec{F}\dotprod \vec{T}\,ds
\end{equation*}
where $\vec{T}$ is the unit tangent to the curve pointing in $C$'s 
forward direction.
\end{definition}


As with line integrals of a scalar field, to compute these we will
parametrize the curve with some $\vec{r}$.
Recall that $\vec{T}(t)=\vec{r}^\prime(t)/|\vec{r}^\prime(t)|$.
Also, $d\vec{r}$ is an abbreviation for $\vec{r}^\prime(t)\,dt$.
\begin{align*}
  \int_{C}\vec{F}\dotprod \vec{T}\,ds
  &=
  \int_{t=a}^b\vec{F}(\vec{r}(t))\dotprod\vec{T}(t)
               \,|r^\prime(t)|\,dt                   \\
  &=
  \int_{t=a}^b\vec{F}(\vec{r}(t))\dotprod\bigg(\vec{r}^\prime(t)/|\vec{r}^\prime(t)|\bigg)
               \,|\vec{r}^\prime(t)|\,dt
  % =
  % \int_{t=a}^b\vec{F}(\vec{r}(t))\dotprod\vec{r}^\prime(t)\,dt
\end{align*}

\begin{lemma}
Let $\vec{F}$ be a continuous vector field.
Where $C$ is parametrized by $\vec{r}$ in a way that traces out
$C$ in a forward direction with $t\in\closed{a}{b}$,
and is smooth in that $\vec{r}^\prime(t)\ne 0$ for any $t$ in that interval, 
then this computes the line integral.
\begin{equation*}
  \int_{C}\vec{F}\dotprod d\vec{s}
  =
  \int_{t=a}^b\vec{F}(\vec{r}(t))\dotprod\vec{r}^\prime(t)\,dt
\end{equation*}
\end{lemma}
\end{frame}


\begin{frame}
\begin{example}
Find the line integral of this force field and path parametrization.
\begin{equation*}
  \vec{F}(x,y,z)=\colvec{-y \\ x \\ z}
  \qquad
  \vec{r}(t)=\colvec{\cos t \\ \sin t \\ t}
  \quad t\in\closed{0}{\pi/2}
\end{equation*}

\pause\medskip
We have these.
\begin{equation*}
  \vec{F}(\vec{r}(t))=\colvec{-\sin t \\ \cos t \\ t}
  \qquad
  \vec{r}^\prime(t)=\colvec{-\sin t \\ \cos t \\ 1}
\end{equation*}
So we get this.
\begin{align*}
  \int_{C}\vec{F}\dotprod d\vec{r}
  &=\int_{t=0}^{\pi/2} \vec{F}(\vec{r}(t))\dotprod\vec{r}^\prime(t)\,dt  \\ 
  &=\int_{t=0}^{\pi/2} \colvec{-\sin t \\ \cos t \\ t}\dotprod\colvec{-\sin t \\ \cos t \\ 1}\,dt \\
  &=\int_{t=0}^{\pi/2} sin^2t+\cos^2 t+t\,dt
  =\biggl[t+t^2/2\biggr]_{t=0}^{\pi/2}=\frac{\pi}{2}+\frac{\pi^2}{8}  
\end{align*}
\end{example}
\end{frame}


\begin{frame}
\begin{example}
Consider this two dimensional force field.
\begin{equation*}
  \vec{F}(x,y,z)=\colvec{y-x \\ x}
\end{equation*}
Let $C$ be the first quadrant part of the unit circle.
Find the work done in proceeding counterclockwise, and then
find the work done in proceeding clockwise.

\pause\medskip
For counterclockwise we can use this parametrization.
\begin{equation*}
  \vec{r}(t)=\colvec{\sin t \\ \cos t} 
  \qquad
  t\in\closed{0}{\pi/2}
\end{equation*}
The calculation is routine.
\begin{align*}
  \int_{t=0}^{\pi/2}\vec{F}(t)\dotprod\vec{r}(t)\,dt
  &=
  \int_{t=0}^{\pi/2}\colvec{\cos t-\sin t \\ \sin t}\dotprod\colvec{\cos t \\ -\sin t}\,dt  \\
  &=
  \int_{t=0}^{\pi/2}\cos^2t-\sin^2t-\sin t\cos t\,dt  
\end{align*}
Apply two triginometric identites to finish.
\begin{equation*}
  =\int_{t=0}^{\pi/2}\cos 2t-(1/2)\sin 2t\, dt
  =\biggl[(1/2)\sin 2t+(1/4)\cos 2t\biggr]_{t=0}^{\pi/2}
  =-1/2
\end{equation*}
The work done traversing the curve 
in the opposite direction is the negative of this.
\end{example}
\end{frame}


\begin{frame}
  \frametitle{Another standard notation}
This is an alternate standard notation.
\begin{equation*}
  \vec{F}(x,y,z)=\colvec{  P(x,y,z) \\ 
                           Q(x,y,z) \\
                           R(x,y,z) }
  \qquad
  \int_C\vec{F}\dotprod d\vec{s}
  =
  \int_C P\,dx+Q\,dy+R\,dz
\end{equation*}
To evaluate the integral in this notation fix a parametrization $\vec{r}(t)$
with component functions $x(t)$, $y(t)$, and $z(t)$.
Then for instance
\begin{equation*}
  \int_C P(x,y,z)\,dx
  =
  \int_{t=a}^b P(\vec{r}(t))\cdot\frac{dx}{dt}\,dt
\end{equation*}
so we have this.
\begin{equation*}
  \int_C\vec{F}\dotprod d\vec{s}
  =
  \int_{t=a}^b \bigl[\,P(\vec{r}(t))\,x^\prime(t)
         +Q(\vec{r}(t))\,y^\prime(t)
         +R(\vec{r}(t))\,y^\prime(t)\,\bigr]\,dt  
\end{equation*}
\end{frame}

\begin{frame}
\begin{example}
Find $\int_C 2y\,dx-3\,dy$ where $C$ is the ellipse
parametrized as here
\begin{equation*}
  \vec{r}(t)=\colvec{4+3\cos\theta \\ 
                     3+2\sin\theta}
  \qquad
  \theta\in\closed{0}{2\pi}
\end{equation*}
First we note that the question asks in different notation for this value.
\begin{equation*}
  \vec{F}(x,y)=\colvec{2y \\ -3}
  \qquad
  \int_C \vec{F}\dotprod d\vec{s}
\end{equation*}
Start by rewriting the integrand.
\begin{equation*}
  \int_C 2y\,dx-3\,dy
  =\int_C \bigl[2y\frac{dx}{d\theta}-3\frac{dy}{d\theta}\bigr]\;d\theta
  =\int_C -6\cos\theta-18\sin\theta-12\sin^2\theta\,d\theta
\end{equation*}
Now evaluate, remembering that the integral of $\sin\theta$ and $\cos\theta$
over the interval $\closed{0}{2\pi}$ is zero.
\begin{equation*}
  =-\int_{\theta=0}^{2\pi}6\cos\theta+18\sin\theta+12\sin^2\theta\,d\theta
  =-12\int_{\theta=0}^{2pi}\sin^2\theta\,d\theta
  =-12\int_{\theta=0}^{2pi}\frac{1-\cos2\theta}{2}\,d\theta
  =-12\pi
\end{equation*}
\end{example}
\end{frame}



\begin{frame}
  \frametitle{Properties of line integrals}

\begin{theorem}
Let $\vec{F}$ and $\vec{G}$ be vector fields and let $C$ be a smooth
oriented curve.
\begin{enumerate}
\item The line integral is linear; it breaks along addition 
and scalar multiplication.
\begin{equation*}
  \int_C\vec{F}+\vec{G}\,d\vec{r}=\int_C\vec{F}\,d\vec{r}+\int_C\vec{G}\,d\vec{r}
  \quad\text{and}\quad    
  \int_C k\cdot\vec{F}\,d\vec{r}
  =k\cdot\int_C \vec{F}\,d\vec{r}
\end{equation*}
\item Reversing the orientation of the curve changes the sign of the integral.
\begin{equation*}
  \int_C\vec{F}\,d\vec{r}=-\int_{-C}\vec{F}\,d\vec{r}
\end{equation*}
\item Where $C$ is a concatenation of subcurves $C_1,\ldots C_n$,
the integral adds.
\begin{equation*}
  \int_C\vec{F}\,d\vec{r}
  =\int_{C_1}\vec{F}\,d\vec{r}
   +\cdots +
   \int_{C_n}\vec{F}\,d\vec{r}
\end{equation*}
\end{enumerate}
\end{theorem}
\end{frame}



% ========================
\section{Fundamental theorem for line integrals}
\begin{frame}
  \frametitle{Work done against the gravitational field}

Here is the field for gravity.
\begin{equation*}
  \vec{F}(x,y,z)
  =
  \colvec{-GMx/(x^2+y^2+z^2)^{3/2} \\
          -GMy/(x^2+y^2+z^2)^{3/2} \\
          -GMz/(x^2+y^2+z^2)^{3/2} \\}
\end{equation*}
We will move a particle of mass $m$ 
along a curve $C$ parametrized by this function.
\begin{equation*}
  \vec{r}(t)=\colvec{x(t) \\ y(t) \\ z(t)}
  \qquad
  \text{from}
  \quad
  A=\colvec{x(a) \\ y(a) \\ z(a)}
  \quad\text{to}\quad
  B=\colvec{x(b) \\ y(b) \\ z(b)}
\end{equation*}
What work are we doing?
\begin{equation*}
  \int_Cm\vec{F}\dotprod d\vec{r}
  =
  \int_{t=a}^b m\cdot\vec{F}(\,\vec{r}(t)\,)\dotprod\vec{r}^\prime(t)\;dt 
  =
  -GMm\int_{t=a}^b\colvec{x/(x^2+y^2+z^2)^{3/2} \\
                         y/(x^2+y^2+z^2)^{3/2}  \\
                         z/(x^2+y^2+z^2)^{3/2} }
                 \dotprod
                 \colvec{dx/dt \\ 
                         dy/dt \\
                         dz/dt}\;dt   
\end{equation*}
Expand the dot product.
\begin{equation*}
  =
  -GMm\int_{t=a}^b \frac{x}{(x^2+y^2+z^2)^{3/2}}\frac{dx}{dt}
                  +\frac{y}{(x^2+y^2+z^2)^{3/2}}\frac{dy}{dt}
                  +\frac{z}{(x^2+y^2+z^2)^{3/2}}\frac{dz}{dt} \;dt 
\end{equation*}
\end{frame}


\begin{frame}
\begin{equation*}
  =
  -GMm\int_{t=a}^b \frac{x}{(x^2+y^2+z^2)^{3/2}}\frac{dx}{dt}
                  +\frac{y}{(x^2+y^2+z^2)^{3/2}}\frac{dy}{dt}
                  +\frac{z}{(x^2+y^2+z^2)^{3/2}}\frac{dz}{dt} \;dt 
\end{equation*}
Now 
remember that the field $\vec{F}$ is conservative, that $\vec{F}=\nabla f$
where  $f(x,y,z)=1/\sqrt{x^2+y^2+z^2}$.
\begin{align*}
  &=
  -GMm\int_{t=a}^b \frac{\partial f}{\partial x}\frac{dx}{dt}
                 +\frac{\partial f}{\partial x}\frac{dx}{dt}
                 +\frac{\partial f}{\partial x}\frac{dx}{dt}
                   \;dt                                        \\
  &=-GMm \int_{t=a}^b\frac{d \bigg(\frac{1}{\sqrt{x^2+y^2+z^2}}\bigg)}{dt}\,dt \\
  &=-GMm \int_{t=a}^b\frac{d f}{dt}\,dt
  = -GMm \biggl[f(x,y,z)\biggr]_{t=a}^b
  =\left. -\frac{GMm}{\sqrt{x^2+y^2+z^2}} \right|_{t=a}^b
\end{align*}

There are two points here.
\begin{itemize}
\item The answer does not depend on the curve~$C$, only on its endpoints.
\item The fact that for $\vec{F}$ there exists a potential~$f$
  made the computation work.
  When in the next to last line we ask for the antiderivative of a 
  derivative, the rest is easy.
\end{itemize}
\end{frame}


\begin{frame}{Fundamental theorem for line integrals}
\begin{definition}
A vector field is
\alert{independent of path} if the value of any line integral is the same 
for any two
curves with the same start and end points:
\begin{equation*}
  \int_C\vec{F}\dotprod d\vec{r}=\int_{\hat{C}}\vec{F}\dotprod d\vec{r}
\end{equation*}
where $C_{\text{start}}=\hat{C}_{\text{start}}$
and $C_{\text{end}}=\hat{C}_{\text{end}}$.
\end{definition}

\begin{theorem}[Fundamental theorem]
Suppose that the vector field $\vec{F}$ is 
conservative (in some open domain), so $\vec{F}=\nabla f$.
Then in that region $\vec{F}$
is independent of path:~for a piecewise smooth curve $C$ that is 
parametrized by $\vec{r}$, with endpoints $\vec{r}(a)$ and $\vec{r}(b)$,
the value of the line integral depends only on what happens at the 
curve's endpoints.  
\begin{equation*}
  \int_C \vec{F}\dotprod d\vec{r}
  =
  f(\vec{r}(b))-f(\vec{r}(a))  
\end{equation*}
This implication reverses, meaning that if $\vec{F}$ is independent of 
path then it is conservative.
\end{theorem}

\pause
\begin{proof}
\begin{equation*}
  \int_C \vec{F}\dotprod d\vec{r}
  =
  \int_C \nabla f\dotprod d\vec{r}
  =
  \int_{t=a}^b \nabla f\dotprod \frac{d\vec{r}}{dt} \;dt
  =
  \int_{t=a}^b \biggl[\frac{\partial f}{\partial x}\frac{dx}{dt}
                     +\frac{\partial f}{\partial y}\frac{dy}{dt}\biggr] \;dt
  =
  \int_{t=a}^b \frac{d\;f(\,x(t),y(t)\,)}{dt}\;dt
\end{equation*}
This equals $f(\vec{r}(b))-f(\vec{r}(a))$.
\end{proof}

Note that this extends Calculus~I's $\int_{x=a}^b F(x)\,dx=f(b)-f(a)$ where
$df/dx=F$. 
\end{frame}


\begin{frame}
\begin{example}
Let   
\begin{equation*}
  \vec{F}(x,y,z)=\colvec{2xy+z \\
                         x^2  \\
                         x}
  \qquad
  \vec{r}(t)=\colvec{e^t \\ 
                     e^{2t} \\
                     t^2} 
  \quad t\in\closed{0}{2}
\end{equation*}
and verify that $\vec{F}=\nabla f$ where $f(x,y,z)=x^2y+xz$.
Evaluate the line integral for the path.

\pause\medskip
The verification is straightforward.
\begin{equation*}
  \frac{\partial f}{\partial x}=2xy+z
  \quad
  \frac{\partial f}{\partial y}=x^2
  \quad
  \frac{\partial f}{\partial z}=x
\end{equation*}
For the line integral, the endpoints of the curve are here
\begin{equation*}
  \vec{r}(0)=\colvec{1 \\ 1 \\ 0}
  \qquad
  \vec{r}(2)=\colvec{e^2 \\ e^4  \\ 4}   
\end{equation*}
and the Fundamental theorem says this is the result of computing
the line integral.
\begin{equation*}
  f(\vec{r}(2))-f(\vec{r}(0))=e^8+4e^2-1
\end{equation*}
\end{example}
\end{frame}

\begin{frame}
\begin{example}
Consider this gradient field and its potential function.
\begin{equation*}
  \vec{F}(x,y)=\colvec{x \\ -y}
  \qquad
  f(x,y)=(x^2-y^2)/2
\end{equation*}
Compute the line integral over the curve that is the quarter circle in the
first quadrant from $(1,0)$ to $(0,1)$.

\pause\medskip
By the Fundamental theorem we have this.
\begin{equation*}
  \int_C\vec{F}\dotprod d\vec{r}
  =f(0,1)-f(1,0)=\frac{-1}{2}-\frac{1}{2}=-1
\end{equation*}
\end{example}
\end{frame}


\begin{frame}{Closed curves}
A curve $C$ is \alert{closed} if its start point is the same as its end point.
\begin{center}
  \includegraphics{asy/vector_calculus020.pdf}
\end{center}
When the curve is closed we often denote the line integral with a little circle.
\begin{equation*}
  \oint_C\vec{F}\dotprod d\vec{s}
\end{equation*}

\begin{lemma}
If a vector field
$\vec{F}$ is independent of path then every line integral around a closed
curve has a value of~$0$.
Further, if every line integral around a closed curve has a value of~$0$
then $\vec{F}$ is independent of path.
Thus $\vec{F}$ is conservative if and only if every line integral on a 
closed path is independent of path.  
\end{lemma}
\end{frame}



\begin{frame}
  \frametitle{Test for conservative vector fields}

\begin{definition}
An open region~$D$ is \alert{connected} if between any two points 
there is a curve that is a subset of the region.
It is \alert{simply connected} if
$D$ has no holes in the sense that any closed curve in it
can be shrunk down to a single point.      
\end{definition}

\begin{theorem}
Suppose
\begin{equation*}
  \vec{F}_2(x,y)=\colvec{P(x,y) \\ Q(x,y)}
  \qquad
  \vec{F}_3(x,y,z)=\colvec{P(x,y,z) \\ Q(x,y,z) \\ R(x,y,z)}
\end{equation*}
where the component functions have continuous first partials on some
connected and simply connected domain~$D$.
Then $\vec{F}_2$ is conservative if and only if
\begin{equation*}
  \frac{\partial P}{\partial y}
  =
  \frac{\partial Q}{\partial x}
\end{equation*}
and $\vec{F}_3$ is conservative if and only if these hold.
\begin{equation*}
  \frac{\partial P}{\partial y}
  =
  \frac{\partial Q}{\partial x}
  \qquad
  \frac{\partial P}{\partial z}
  =
  \frac{\partial R}{\partial x}
  \qquad
  \frac{\partial Q}{\partial z}
  =
  \frac{\partial R}{\partial y}
\end{equation*}
\end{theorem}
\end{frame}


\begin{frame}
\begin{example}
Show that
\begin{equation*}
  \vec{F}(x,y)=\colvec{2xy \\ 1+x^2-y^2}
\end{equation*}
is conservative and find an associated potential function~$f$.

\pause\medskip
First, $\partial P/\partial y=2x=\partial Q/\partial x$.
Then, we want to solve this system of equations.
\begin{align*}
  \frac{df}{dx} &= 2xy  \\
  \frac{df}{dy} &= 1+x^2-y^2
\end{align*}
Integrate the first with respect to $x$.
\begin{equation*}
  f(x,y)=x^2y+g(y)
\end{equation*}
To determine $g$, differentiate with respect to $y$ and compare with
the second equation in the system.
\begin{equation*}
  \frac{\partial f}{\partial y}
  =x^2+g^\prime(y)
  =1+x^2-y^2 
  \qquad
  g^\prime (y)=1-y^2 
\end{equation*}
Thus we have this.
\begin{equation*}
  g(y)=y-y^3/3+C
  \qquad
  f(x,y)=x^2y+y-y^3/3+C
\end{equation*}
\end{example}
\end{frame}


% =========================================
\section{Divergence and Curl}
% https://math.stackexchange.com/a/3057730/12012
\begin{frame}{Divergence}
Again picture that we are describing the movement a fluid, such as air, 
through space.
Fix a box that is very small.
We want to measure 
whether the density of air in the box is increasing or decreasing or staying
the same, so we want the amount of air crossing through the box. 
The \alert{flux $\Phi$} is the amount of fluid crossing a surface.  

This illustrates in 2D.
\begin{center}
  \includegraphics{asy/vector_calculus022.pdf}
\end{center}
The vectors leaving the small box are larger than those entering,
so our intuition is that there is a positive divergence.

The total flux is the flux in the $x$ direction plus the
flux in the $y$ direction plus the flux in the $z$ direction.
This shows $\Phi_y$, the fluid moving through the box parallel 
to the $y$~axis.
\begin{center}
  \includegraphics{asy/vector_calculus021.pdf}
\end{center}
We will define the divergence of the field 
to be $\lim_{\Delta V\to 0} \Phi (x,y,z)$.
\end{frame}

\begin{frame}
\begin{center}
  \includegraphics{asy/vector_calculus021.pdf}
\end{center}
\begin{align*}
  \Phi_y(x,y,z) 
  &=\text{area of left}\cdot 
       \frac{\partial \vec{F}}{\partial y}(x,y+\Delta y,z)
          \dotprod \colvec{0 \\ 1 \\ 0}
     -\text{area of right}\cdot 
       \frac{\partial \vec{F}}{\partial y}(x,y,z)
          \dotprod \colvec{0 \\ 1 \\ 0}                      \\
  &=\biggl[
       \frac{\partial Q}{\partial y}(x,y+\Delta y,z)
       -
       \frac{\partial Q}{\partial y}(x,y,z) 
       \biggr]
       \cdot \Delta x\Delta z                          \\
  &=\biggl[
       \frac{\partial Q}{\partial y}(x,y,z)
       \cdot \Delta y 
       \biggr]
       \Delta x\Delta z                          
\end{align*}
The other two, $\Phi_x$ and 
$\Phi_z$, will work the same way so we get this.
\begin{equation*}
  \Phi(x,y,z)=\Phi_x+\Phi_y+\Phi_z
             =\biggl[\frac{\partial P}{\partial x}(x,y,z)
                  +\frac{\partial Q}{\partial y}(x,y,z)
                  +\frac{\partial R}{\partial z}(x,y,z)
              \biggr] \cdot \,\Delta x \,\Delta y \,\Delta z
\end{equation*}
\end{frame}


\begin{frame}
From $\lim_{\Delta V\to 0} \Phi (x,y,z)$ we get this.

\begin{definition}
  The \alert{divergence} of a vector field
\begin{equation*}
  \vec{F}(x,y,z)=\colvec{P(x,y,z) \\ Q(x,y,z) \\ R(x,y,z)}    
\end{equation*}
is 
$\div \vec{F}=\partial P/\partial x+\partial Q/\partial y+\partial R/\partial z$.
\end{definition}

\begin{example}
Find $\div\vec{F}$.
\begin{equation*}
  \vec{F}(x,y,z)=\colvec{x^2y \\ 2xz \\ -yz}
\end{equation*}

\pause\medskip
\begin{equation*}
  \partial P/\partial x=2xy
  \quad
  \partial Q/\partial y=0
  \quad
  \partial R/\partial z=-y
  \quad
\end{equation*}
So the divergence is $2xy-y$.
\end{example}

Note that the divergence is a scalar quantity, not a vector.
\end{frame}



\begin{frame}
\begin{example}
Recall the vector field
\begin{equation*}
  \vec{F}(x,y)=\colvec{x \\ y}
\end{equation*}
shown below.
\begin{center}
  \includegraphics{asy/vector_calculus003.pdf}
\end{center}
Compute $\div\vec{F}$.

\pause\medskip
\begin{equation*}
  \div\vec{F}=\frac{\partial x}{\partial x}+\frac{\partial y}{\partial y}=2
\end{equation*}
\end{example}
\end{frame}


\begin{frame}
\begin{example}
Recall also this vector field.
\begin{equation*}
  \vec{F}(x,y)=\colvec{-y \\ x}
\end{equation*}
\begin{center}
  \includegraphics{asy/vector_calculus004.pdf}
\end{center}
Compute its divergence.

\pause\medskip
\begin{equation*}
  \div\vec{F}=\frac{\partial\, (-y)}{\partial x}+\frac{\partial x}{\partial y}=0
\end{equation*}
\end{example}
\end{frame}



% .............................
\newcommand{\curl}{\operatorname{curl}}
\begin{frame}
  \frametitle{Definition of curl}

In some sense the opposite of divergence is rotating in one place.
Think of a 2D vector field as showing the flow of a fluid in the plane.
We put a small flow meter in, holding it upside down by the stem, 
and see if the cups turn.
\begin{center}
  \includegraphics[height=0.15\textheight]{anemometor.png}    
\end{center}
Here we test a field.
\begin{center}
  $\vec{F}(x,y)=\colvec{0 \\ x/5}$
  \qquad
  \vcenteredhbox{\includegraphics{asy/vector_calculus024.pdf}}    
\end{center}
The arrows are greater on the circle's right than on the left
so the cups will turn, counterclockwise.
We use the right hand rule, so if the cups turn counterclockwise then
we say the circulation is positive.
\end{frame}

% https://math.stackexchange.com/a/2354361/12012
\begin{frame}
For the definition, we want this.
\begin{equation*}
  \text{circulation density at $(x,y)$}
  =
  \lim_{\text{area}->0}\frac{\text{circulation around a small box}}{\text{box's area}}
\end{equation*}
In this diagram,
\begin{center}
  $\vec{F}(x,y)=\colvec{P(x,y) \\ Q(x,y)}$
  \qquad
  \vcenteredhbox{\includegraphics{asy/vector_calculus023.pdf}}    
\end{center}
the flow along $C_1$ is the part of $\vec{F}$ in the direction of~$\vec{i}$ and
for a length of $\Delta x$, so approximately $P(x,y)\Delta x$.
Along $C_2$ it is the part of $\vec{F}$ in the direction of~$\vec{j}$
and for a length of $\Delta y$, so $Q(x+\Delta x,y)\Delta y$.
Along $C_3$ is is $-P(x,y+\Delta y)\Delta x$.
Along $C_4$ is is $-Q(x,y)\Delta y$.
We have this.
\begin{equation*}
  \text{circulation}
  =
  \lim_{\Delta x,\Delta y\to 0} 
    \frac{P(x,y)\Delta x+Q(x+\Delta x,y)\Delta y-P(x,y+\Delta y)\Delta x-Q(x,y)\Delta y}{\Delta x\Delta y} 
\end{equation*}
Separate the $P$'s and $Q$'s.
\begin{equation*} 
  =
  \lim_{\Delta x\to 0} 
    \frac{Q(x+\Delta x,y)-Q(x,y)}{\Delta x}  
  +
  \lim_{\Delta y\to 0} 
    \frac{P(x,y)-P(x,y+\Delta y)}{\Delta y}
  =\frac{\partial Q}{\partial x}-\frac{\partial P}{\partial y}
\end{equation*}
\end{frame}



\begin{frame}
\begin{example}
Recall the vector field
\begin{equation*}
  \vec{F}(x,y)=\colvec{x \\ y}
\end{equation*}
shown below.
\begin{center}
  \includegraphics{asy/vector_calculus003.pdf}
\end{center}
Compute its circulation.

\pause\medskip
\begin{equation*}
  \frac{\partial Q}{\partial x}-\frac{\partial P}{\partial y}
     =0-0=0
\end{equation*}
\end{example}
\end{frame}


\begin{frame}
\begin{example}
Recall also this vector field.
\begin{equation*}
  \vec{F}(x,y)=\colvec{-y \\ x}
\end{equation*}
\begin{center}
  \includegraphics{asy/vector_calculus004.pdf}
\end{center}
Compute its circulation.

\pause\medskip
\begin{equation*}
  \frac{\partial\,x}{\partial x}-\frac{\partial\, (-y)}{\partial y}
  =1-(-1)=2
\end{equation*}
\end{example}
\end{frame}

\begin{frame}
\begin{definition}
The \alert{curl} of the 3D vector field 
\begin{equation*}
  \vec{F}(x,y,z)=\colvec{P(x,y,z) \\  Q(x,y,z) \\ R(x,y,z)}
\end{equation*}
is this.
\begin{equation*}
  \curl\vec{F}=\colvec{\partial R/\partial y - \partial Q/\partial z\\
                       \partial P/\partial z - \partial R/\partial x\\
                       \partial Q/\partial x - \partial P/\partial y}
\end{equation*}
\end{definition}

\begin{example}
Find the curl of this field.
\begin{equation*}
  \vec{F}(x,y,z)=\colvec{xy \\ e^x \\ y+z}    
\end{equation*}

\pause\medskip
\begin{equation*}
  \colvec{\partial (y+z)/\partial y-\partial (e^x)/\partial z  \\
          \partial (xy)/\partial z-\partial (y+z)/\partial x  \\
          \partial (e^x)/\partial x-\partial (xy)/\partial y  
          }
  =\colvec{1 \\ 0 \\ e^x-x}
\end{equation*}
\end{example}
\end{frame}


\begin{frame}
  \frametitle{Computing the curl}

The curl formula is hard to remember.
Here is a symbolic determinant suited for that.
\begin{equation*}
  \curl\vec{F}
  =\nabla\times \vec{F}
  =
  \begin{vmatrix}
    \vec{i}   &\vec{j}  &\vec{k}  \\
    \frac{\partial}{\partial x} 
          &\frac{\partial}{\partial y} 
          &\frac{\partial}{\partial z}              \\
    P        &Q         &R
  \end{vmatrix}
\end{equation*}

\begin{example}
Use $\nabla\times \vec{F}$ to compute the curl of this vector field.
\begin{equation*}
  \vec{F}(x,y,z)=\colvec{2x^2y \\ y\sin z \\ z^2-x^2}
\end{equation*}

\pause\medskip
\begin{equation*}
  \begin{vmatrix}
    \vec{i}   &\vec{j}  &\vec{k}  \\
    \frac{\partial}{\partial x} 
          &\frac{\partial}{\partial y} 
          &\frac{\partial}{\partial z}              \\
    2x^2y     &y\sin z  &z^2-x^2
  \end{vmatrix}
  % =\colvec{1 \\ 2}
\end{equation*}
\end{example}
\end{frame}





\end{document}
%%% Local Variables: 
%%% coding: utf-8
%%% mode: latex
%%% TeX-engine: luatex
%%% End: 







